Integrations API

POST Create an account

POST /accounts

Creates a customer's account in the billing system, based on the customer interaction via Salesforce.

Request body

Media type: application/json. Schema: object.

Account details.

  • billingCountry (string) Country of the billing address.
    Example: USA.
  • billingPostalCode (number | string) Postal code of the billing address.

    Example

    10003

    One of: number, string.

    Example

    10003
  • mailingStreetAddress (string) Street of the mailing address.
    Example: Main St.
  • mailingCity (string) City of the mailing address.
    Example: New York.
  • accountName (string, required) Name of the account.
    Example: Northern Region.
  • externalCustomerId (string) The billing system's unique identifier for the customer.
    Example: 0015f000004AagjZZZ.
  • mailingState (string) State of the mailing address.
    Example: New York.
  • company (string) Company of the account.
    Example: Green Energy.
  • mailingPostalCode (number | string) Postal code of the mailing address.

    Example

    10003

    One of: number, string.

    Example

    10003
  • billDeliveryMethod (string) Bill delivery method, such as paper, electronic, or email.
    Example: Paper.
  • email (string, required) Email address of the account.
    Example: example@example.com.
  • accountId (string, required) Unique identifier for the account in Salesforce.
    Example: 0015f000004jXxjZZZ.
  • IsAutopayEnabled (boolean) Whether the customer has opted for automatic payment (true) or not (false).
    Example: true.
  • billingState (string) State of the billing address.
    Example: New York.
  • requestDateTime (datetime (rfc3339), required) The timestamp of the request. The default value is the current date or time when the transaction is initiated.
    Example: 2022-01-25T12:35:28.689Z.
  • phoneAreaCode (string) Area code of the account phone number.
    Example: +1.
  • billingStreetAddress (string) Street of the billing address.
    Example: Main St.
  • fax (string) Fax number of the account.
    Example: 555-123-4567.
  • phone (string) Phone number of the account.
    Example: 5551234567.
  • billingHouseNumber (string) House number of the account per the billing address.
    Example: B-507.
  • mobilePhone (string) Mobile phone number of the account.
    Example: 5551234567.
  • mobilePhoneAreaCode (string) Area code of the account mobile phone number.
    Example: +1.
  • billingFrequency (string) Frequency of billing, such as monthly or quarterly.
    Example: Monthly.
  • billingCity (string) City of the billing address.
    Example: New York.
  • mailingHouseNumber (string) House number of the mailing address.
    Example: B-607.
  • status (string) Status of the account.
    Example: Active.
  • mailingCountry (string) Country of the mailing address.
    Example: USA.

Responses

  • 201

    Media type: application/json. Schema: object.

    • externalAccountId (string, required) The external account that the bill is tagged to.
      Example: 001RN000002rEkrYAE.
  • 400 There was an issue with your request.

    Media type: application/json. Schema: errorMessage.

  • 401 Authorization failed.

    Media type: application/json. Schema: errorMessage.

  • 403 Request forbidden.

    Media type: application/json. Schema: errorMessage.

  • 404 Resource not found.

    Media type: application/json. Schema: errorMessage.

  • 405 Method not allowed.

    Media type: application/json. Schema: errorMessage.

  • 415 Unsupported media type.

    Media type: application/json. Schema: errorMessage.

  • 422 Unprocessable entity.

    Media type: application/json. Schema: errorMessage.

  • 500 Unable to complete the request as the server encountered an error.

    Media type: application/json. Schema: errorMessage.